RHEL 7 : qemu-kvm-rhev (RHSA-2017:1431)

This script is Copyright (C) 2017 Tenable Network Security, Inc.


Synopsis :

The remote Red Hat host is missing one or more security updates.

Description :

An update for qemu-kvm-rhev is now available for RHEV 3.X Hypervisor
and Agents for RHEL-7 and RHEV 4.X RHEV-H and Agents for RHEL-7.

Red Hat Product Security has rated this update as having a security
impact of Important. A Common Vulnerability Scoring System (CVSS) base
score, which gives a detailed severity rating, is available for each
vulnerability from the CVE link(s) in the References section.

KVM (Kernel-based Virtual Machine) is a full virtualization solution
for Linux on a variety of architectures. The qemu-kvm-rhev packages
provide the user-space component for running virtual machines that use
KVM in environments managed by Red Hat products.

Security Fix(es) :

* An out-of-bounds access issue was found in QEMU's Cirrus CLGD 54xx
VGA Emulator support. The vulnerability could occur while copying VGA
data using bitblt functions (for example,
cirrus_bitblt_rop_fwd_transp_). A privileged user inside a guest could
use this flaw to crash the QEMU process, resulting in denial of
service. (CVE-2017-7718)

Red Hat would like to thank Jiangxin (PSIRT Huawei Inc.) for reporting
CVE-2017-7718.

Bug Fix(es) :

* When using post-copy migration with the virtio Random Number
Generator (RNG) device, virtio-rng continued generating data while the
migration was already in post-copy mode. Consequently, the migration
sometimes failed and the error message 'Failed to load
virtio-rng:virtio' was displayed. The source code has been improved
and the problem no longer occurs in the scenario described.
(BZ#1450375)

See also :

https://www.redhat.com/security/data/cve/CVE-2017-7718.html
http://rhn.redhat.com/errata/RHSA-2017-1431.html

Solution :

Update the affected packages.

Risk factor :

Low / CVSS Base Score : 2.1
(CVSS2#AV:L/AC:L/Au:N/C:N/I:N/A:P)
CVSS Temporal Score : 1.6
(CVSS2#E:U/RL:OF/RC:C)
Public Exploit Available : false

Family: Red Hat Local Security Checks

Nessus Plugin ID: 100833 ()

Bugtraq ID:

CVE ID: CVE-2017-7718

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now